# Class CIM_MeterService
extends CIM_ConditioningService

This class represents the metering of network traffic. Metering is the function of monitoring the arrival times of packets of a traffic stream and determining the level of conformance of each packet with respect to a pre- established traffic profile. A meter has the ability to invoke different ConditioningServices for conforming and non-conforming traffic. Traffic leaving a meter may be further conditioned (e.g., dropped or queued) by routing the packet to another conditioning element. This class is modeled as a ConditioningService so that it can be aggregated into a QoSService (using the QoSConditioningSubService association), to indicate that its functionality underlies that QoS service. MeterService also participates in a subclass of the NextService association, to identify the subsequent ConditioningServices for conforming and non-conforming traffic.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Service
|
+--CIM_ConditioningService
|
+--CIM_MeterService

## Direct Known Subclasses

CIM_AverageRateMeterService
CIM_EWMAMeterService
CIM_TokenBucketMeterService

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

This class represents the metering of network traffic. Metering is the function of monitoring the arrival times of packets of a traffic stream and determining the level of conformance of each packet with respect to a pre- established traffic profile. A meter has the ability to invoke different ConditioningServices for conforming and non-conforming traffic. Traffic leaving a meter may be further conditioned (e.g., dropped or queued) by routing the packet to another conditioning element. This class is modeled as a ConditioningService so that it can be aggregated into a QoSService (using the QoSConditioningSubService association), to indicate that its functionality underlies that QoS service. MeterService also participates in a subclass of the NextService association, to identify the subsequent ConditioningServices for conforming and non-conforming traffic.

UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ConformanceLevels | uint16 |
Description | string | An unsigned integer indicating the number of conformance levels supported by the Meter. For example, when only 'in-profile' or 'out of profile' metering is supported. ConformanceLevels is set to 2.
MeterType | uint16 |

Description

string

This property is an enumerated 16-bit unsigned integer that is used to specify the particular type of meter. Defined values of the enumeration are: 1: Other 2: Average Rate Meter 3: Exponentially Weighted Moving Average Meter 4: Token Bucket Meter Note: The MeterType property and the MeterService subclasses provide similar information. This property is defined for query purposes and for future expansion. It is assumed that not all MeterServices will require a subclass to define them. Therefore, MeterService will be instantiated directly and the Type property is needed.

ModelCorrespondence | string | CIM_MeterService.OtherMeterType
ValueMap | string | 1, 2, 3, 4
Values | string | Other, Average Rate Meter, Exponentially Weighted Moving Average Meter, Token Bucket Meter
OtherMeterType | string |
Description | string | This property is a string used in conjunction with the MeterType property. When the value of MeterType is 1 (i.e., "Other"), then the name of the conformance level for this meter is defined in this property.
ModelCorrespondence | string | CIM_MeterService.MeterType

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Service
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
Enabled | boolean | CIM_ConditioningService
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Service
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_Service
PrimaryOwnerName | string | CIM_Service
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Started | boolean | CIM_Service
StartMode | string | CIM_Service
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_Service
SystemName | string | CIM_Service
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartService | uint32 | CIM_Service
StopService | uint32 | CIM_Service